package com.gic.auth.web.vo;

import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
/**
 * 登陆用户拥有的所有操作项
 * @ClassName: UserOperationItemAuthVO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/9/26 11:05 AM 
 */
@Accessors(chain = true)
@Data
public class UserOperationItemAuthVO implements Serializable{
    private static final long serialVersionUID = -4102202683416381220L;

    /**
     * 操作项ID
     */
    private Integer menuId;

    /**
     * 名称
     */
    private String menuName;

    /**
     * 项目，应用ID
     */
    private String project;

    /**
     * 接口路径
     */
    private String menuUrl;

    private Integer parentId;

    /**
     * 菜单code，唯一
     */
    private String menuCode;

    private String parentCode;

}
